The Spring Framework

## org.springframework.jms.listener.endpoint
Class JmsActivationSpecConfig

    java.lang.Object
      org.springframework.jms.listener.endpoint.JmsActivationSpecConfig

    public class JmsActivationSpecConfig

extends Object

Common configuration object for activating a JMS message endpoint. Gets converted into a provider-specific JCA 1.5 ActivationSpec object for activating the endpoint.

Typically used in combination with `JmsMessageEndpointManager`, but not tied to it.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `JmsActivationSpecFactory`, `JmsMessageEndpointManager.setActivationSpecConfig(org.springframework.jms.listener.endpoint.JmsActivationSpecConfig)`, `ResourceAdapter.endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory, javax.resource.spi.ActivationSpec)`

Constructor Summary
`JmsActivationSpecConfig()`

Method Summary
`int` `getAcknowledgeMode()`
`String` `getClientId()`
`String` `getDestinationName()`
`String` `getDurableSubscriptionName()`
`int` `getMaxConcurrency()`
`String` `getMessageSelector()`
`int` `getPrefetchSize()`
`boolean` `isPubSubDomain()`
`boolean` `isSubscriptionDurable()`
`void` `setAcknowledgeMode(int acknowledgeMode)`
`void` `setClientId(String clientId)`
`void` `setDestinationName(String destinationName)`
`void` `setDurableSubscriptionName(String durableSubscriptionName)`
`void` `setMaxConcurrency(int maxConcurrency)`
`void` `setMessageSelector(String messageSelector)`
`void` `setPrefetchSize(int prefetchSize)`
`void` `setPubSubDomain(boolean pubSubDomain)`
`void` `setSubscriptionDurable(boolean subscriptionDurable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsActivationSpecConfig

    public JmsActivationSpecConfig()

Method Detail

### setDestinationName

    public void setDestinationName(String destinationName)

### getDestinationName

    public String getDestinationName()

### setPubSubDomain

    public void setPubSubDomain(boolean pubSubDomain)

### isPubSubDomain

    public boolean isPubSubDomain()

### setSubscriptionDurable

    public void setSubscriptionDurable(boolean subscriptionDurable)

### isSubscriptionDurable

    public boolean isSubscriptionDurable()

### setDurableSubscriptionName

    public void setDurableSubscriptionName(String durableSubscriptionName)

### getDurableSubscriptionName

    public String getDurableSubscriptionName()

### setClientId

    public void setClientId(String clientId)

### getClientId

    public String getClientId()

### setMessageSelector

    public void setMessageSelector(String messageSelector)

### getMessageSelector

    public String getMessageSelector()

### setAcknowledgeMode

    public void setAcknowledgeMode(int acknowledgeMode)

### getAcknowledgeMode

    public int getAcknowledgeMode()

### setMaxConcurrency

    public void setMaxConcurrency(int maxConcurrency)

### getMaxConcurrency

    public int getMaxConcurrency()

### setPrefetchSize

    public void setPrefetchSize(int prefetchSize)

### getPrefetchSize

    public int getPrefetchSize()

The Spring Framework

Copyright © 2002-2008 The Spring Framework.